Bug 8980 - Untranslatable strings in modborrowers.pl
Summary: Untranslatable strings in modborrowers.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Paul Poulain
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 8986
  Show dependency treegraph
 
Reported: 2012-10-29 19:21 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8980 - Untranslatable strings in modborrowers.pl (6.76 KB, patch)
2012-10-29 19:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8980 - Untranslatable strings in modborrowers.pl (6.78 KB, patch)
2012-10-30 10:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-10-29 19:21:28 UTC
The patron batch modification script, modborrowers.pl, defines English language strings as labels for the form fields in the template. This makes the labels untranslatable.
Comment 1 Owen Leonard 2012-10-29 19:28:53 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2012-10-30 10:20:30 UTC
Created attachment 13109 [details] [review]
Bug 8980 - Untranslatable strings in modborrowers.pl

This patch removes the declaration of interface labels
from the script and puts it in the template where the
labels can be translated. The labels have been modified
to match those used on the patron entry form.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 3 Paul Poulain 2012-10-30 17:29:44 UTC
QA comment
 * patch needed for translating labels
 * even if it's string freeze, this patch can be pushed because it's not translatable now, so it won't change nothing for 3.10.0 = labels won't be translated !
 * passes koha-qa.pl

passed QA
Comment 4 Paul Poulain 2012-10-30 17:29:58 UTC
Patch pushed to master